> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# WithdrawFromWindows

> WithdrawFromWindows is called by the bidder node to withdraw funds from multiple windows.



## OpenAPI

````yaml /v1.1.0/api-reference/bidder-openapi-spec.json post /v1/bidder/withdraw_from_windows
openapi: 3.0.0
info:
  title: Bidder API
  version: 1.1.6-oas3
  license:
    name: Business Source License 1.1
    url: https://github.com/primev/mev-commit/blob/main/LICENSE
servers: []
security: []
paths:
  /v1/bidder/withdraw_from_windows:
    post:
      summary: WithdrawFromWindows
      description: >-
        WithdrawFromWindows is called by the bidder node to withdraw funds from
        multiple windows.
      operationId: Bidder_WithdrawFromWindows
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/v1WithdrawFromWindowsRequest'
        description: Withdraw deposit from the bidder registry.
        required: true
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1WithdrawFromWindowsResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/googlerpcStatus'
components:
  schemas:
    v1WithdrawFromWindowsRequest:
      type: object
      example:
        window_numbers:
          - 1
          - 2
          - 3
      properties:
        windowNumbers:
          type: array
          items:
            type: string
            format: uint64
          description: Window numbers for withdrawing deposits.
      description: Withdraw deposit from the bidder registry.
      title: Withdraw from multiple windows request
      required:
        - windowNumbers
    v1WithdrawFromWindowsResponse:
      type: object
      example:
        withdraw_responses:
          - amount: '1000000000000000000'
            window_number: 1
          - amount: '1000000000000000000'
            window_number: 2
          - amount: '1000000000000000000'
            window_number: 3
      properties:
        withdrawResponses:
          type: array
          items:
            $ref: '#/components/schemas/v1WithdrawResponse'
      description: Withdrawn deposit from the bidder registry.
      title: Withdraw from multiple windows response
    googlerpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    v1WithdrawResponse:
      type: object
      example:
        amount: '1000000000000000000'
        window_number: 1
      properties:
        amount:
          type: string
        windowNumber:
          type: string
          format: uint64
      description: Withdrawn deposit from the bidder registry.
      title: Withdraw response
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}

````